/* ======================================================================= Popup Generale =========================================================== */

#popu-gene {
    display: none;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    position: fixed;
    width: 100%;
    z-index: 10000;
    overflow: auto;
    background-color: rgba(100, 100, 100, 0.3);
    align-items: center;
    justify-content: center;
}

#popu-gene-rech {
    width: 100%;
    background-color: var(--them-medi);
    padding: 3px 12px;
    color: #fff;
}

#popu-gene-boit {
    width: 95%;
    max-width: 500px;
    min-width: 310px;
    /* height: 400px; */
    position: relative;
    z-index: 1001;

    margin-top: 150px;
    padding: 0;

    display: flex;
    flex-direction: column;

    /* TL : Pour info, meilleur que margin auto */
    left: 50%;
    transform: translateX(-50%);
    /* ---------------------------------------- */

    background-color: #F4F4F4;
    border-radius: 10px;
    border: 1px solid #F1F0E9;
    position: relative;
    overflow: auto;
}

@media screen and (min-width: 768px) {
    #popu-gene-boit {
        width: 500px;
    }
}

#popu-gene-boit #popu-choi-ajou {
    background-color: #fff;
    font-size: 10px;
    color: var(--them-fonc);
}

#popu-choi-head {
    width: 100%;
    background-color: var(--them-fonc);
    font-size: 120%;
    text-transform: uppercase;
    color: #fff;
    height: 1.6em;
    text-align: center;
}

#popu-choi-para {
    display: flex;
    justify-content: space-around;
    background-color: var(--them-fonc);
    padding: 2px 10px;
    height: 30px;
}

#popu-choi-list {
    border: 1px solid #999;
    height: 350px;
    overflow: auto;
}

#popu-choi-filt {
    display: flex;
    justify-content: space-around;
    background-color: var(--them-medi);
    padding: 4px;
}

#popu-choi-filt-cham>input[type="text"] {
    padding: 1px 5px;
    outline: none;
    border-radius: 4px;
}

.popu-gene-choi {
    width: 30%;
    margin: 3px 1%;
    padding: 2px 6px;
    text-align: left;
    border-radius: 3px;
    box-sizing: border-box;
    border: 1px solid #909090;
}

.popu-bout-rech {
    margin-left: 4px;
    background-color: #EEE;
    color: var(--them-fonc);
    border-radius: 4px;
    outline: none;
}

.popu-bout-rech:hover {
    background-color: var(--noti-fonc);
    color: #FFF;
}

.gene-page-masq-popu {
    display: none;
    top: 0px;
    left: 0px;
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 590;
    overflow: auto;
    justify-content: center;
    background-color: rgba(100, 100, 100, 0.4);
}

#page-popu-modu {
    position: absolute;
    top: 20%;
    background-color: #FAF9F8;
    text-align: center;
    padding: 20px;
    border-radius: 10px;
    width: 600px;
    max-width: calc(100% - 20px);
    z-index: 596;
    left: 10px;
    max-height: 500px;
    overflow: auto;
    border: 1px solid #999;
}

#page-popu-modu.full {
    display: flex;
    flex-direction: column;
    min-width: 100vw;
    min-height: 100vh;
    top: 0;
    left: 0;
    padding: 0;
    margin: 0;
    border-radius: 0;
    font-family: 'Inter';
}

.gene-page-popu {
    max-width: calc(100% - 20px);
    z-index: 598;
    left: 10px;
    top: 90px;
}

#page-popu-modu:has(.page-popu-modu-plan) {
    left: 50%;
    top: 50%;
    width: 800px;
    transform: translateX(-50%) translateY(-50%);
}

@media (min-width: 620px) {

    #page-popu-modu,
    .gene-page-popu {
        left: calc(50% - 300px);
        top: 150px;
    }
}